Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

Path Parameters

id
string
required

The id of the custom hook

Body

application/json
name
string
hook
enum<string>
Available options:
validateFeature,
validateFeatureRevision,
validateConfig,
validateConfigRevision,
validateExperiment
code
string
enabled
boolean
projects
string[]
entityType
enum<string> | null

Retarget the hook's scope (set with entityId). Pass null (with entityId: null) to make the hook global/project-scoped; omit to leave unchanged.

Available options:
feature,
config,
experiment
entityId
string | null

The scoped resource: a feature id, or a config key. Pass null (with entityType: null) to clear the scope; omit to leave unchanged.

incrementalChangesOnly
boolean

Response

200 - application/json

Resource created

customHook
object
required